Bug 728613 - [abrt] emerald-0.8.5-0.4.git90c9604441.fc15: decor_quads_to_property: Process /usr/bin/emerald was killed by signal 11 (SIGSEGV)
Summary: [abrt] emerald-0.8.5-0.4.git90c9604441.fc15: decor_quads_to_property: Process...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: emerald
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9128282d4da8bf134de5d9ee0db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 19:21 UTC by MartinG
Modified: 2011-08-06 07:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-06 07:23:29 UTC


Attachments (Terms of Use)
File: maps (23.53 KB, text/plain)
2011-08-05 19:21 UTC, MartinG
no flags Details
File: backtrace (25.86 KB, text/plain)
2011-08-05 19:21 UTC, MartinG
no flags Details

Description MartinG 2011-08-05 19:21:34 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        emerald --replace
component:      emerald
crash_function: decor_quads_to_property
executable:     /usr/bin/emerald
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        emerald-0.8.5-0.4.git90c9604441.fc15
reason:         Process /usr/bin/emerald was killed by signal 11 (SIGSEGV)
time:           Thu Aug  4 22:56:08 2011
xsession_errors: 

backtrace:      Text file, 26478 bytes
maps:           Text file, 24099 bytes

comment:
:Started compiz, and lost the window decorator (kde4-window-decorator failed), then ran emerald, all as this:
:
:$ fusion-icon 
: * Detected Session: kde
: * Searching for installed applications...
:Backend     : kconfig4
:Integration : true
:Profile     : default
:Initializing decor options...done
: * Intel detected, exporting: INTEL_BATCH=1
: * Using the GTK Interface
: * Interface not installed
: ... Trying another interface
: * Using the Qt4 Interface
: * Decorator "" is invalid.
: * Setting decorator to KDE4 Window Decorator ("kde4-window-decorator --replace")
: * Starting Compiz
: ... executing: compiz --replace --sm-disable ccp
:Backend     : kconfig4
:Integration : true
:Profile     : default
:Adding plugins
:Initializing core options...done
:Initializing composite options...done
:Initializing opengl options...done
:Initializing workarounds options...done
:Initializing kdecompat options...done
:Initializing resize options...done
:Initializing vpswitch options...done
:Initializing mousepoll options...done
:Initializing place options...done
:Initializing move options...done
:Initializing ezoom options...done
:Initializing session options...done
:Initializing wall options...done
:Initializing staticswitcher options...done
:Initializing wobbly options...done
:Initializing scale options...done
:Setting Update "initiate_key"
:Setting Update "switch_to_1_key"
:Setting Update "switch_to_2_key"
:Setting Update "switch_to_3_key"
:Setting Update "switch_to_4_key"
:Setting Update "initiate_key"
:Setting Update "left_key"
:Setting Update "right_key"
:Setting Update "up_key"
:Setting Update "down_key"
:Setting Update "left_window_key"
:Setting Update "right_window_key"
:Setting Update "up_window_key"
:Setting Update "down_window_key"
:Setting Update "edgeflip_move"
:
:
:
:^Z[1]   Terminated              kde4-window-decorator --blur none --replace
:
:[2]+  Stopped                 fusion-icon
:$ bg
:
:$ emerald --replace&

dso_list:
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305316592
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308766647
:/usr/lib64/libxcb-event.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732542
:/usr/share/fonts/dejavu/DejaVuLGCSans-Bold.ttf dejavu-lgc-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1305316631
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305316556
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732542
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1305316714
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1310712509
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305316553
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308766647
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309378577
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1309378550
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1305316571
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/usr/lib64/libwnck-1.so.22.3.29 libwnck-2.30.4-3.fc15.x86_64 (Fedora Project) 1306272275
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1305316553
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305316557
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732542
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.10-4.fc13.x86_64 (Fedora Project) 1305316566
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732542
:/usr/bin/emerald emerald-0.8.5-0.4.git90c9604441.fc15.x86_64 (Fedora Project) 1312145628
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libemeraldengine.so.0.0.0 emerald-0.8.5-0.4.git90c9604441.fc15.x86_64 (Fedora Project) 1312145628
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305316592
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305316553
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/emerald/engines/libvrunner.so emerald-0.8.5-0.4.git90c9604441.fc15.x86_64 (Fedora Project) 1312145628
:/usr/lib64/libdecoration.so.0.0.0 compiz-0.9.5.0-1.fc15.x86_64 (Fedora Project) 1312145621
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308170128
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1311519766
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732542
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305316556
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305316556
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libXRes.so.1.0.0 libXres-1.0.5-2.fc15.x86_64 (Fedora Project) 1305316566
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1310470285
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309210047
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309378586
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305316554
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305316554
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1305316555
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305316592
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1305316573

var_log_messages:
:Jul 31 22:53:49 thira yum[6069]: Installed: emerald-0.8.5-0.4.git90c9604441.fc15.x86_64
:Jul 31 23:07:25 thira kernel: [10127.401799] emerald[7090] general protection ip:7f55c89e40af sp:7fff44f72868 error:0 in libdecoration.so.0.0.0[7f55c89e1000+8000]
:Jul 31 23:07:26 thira abrt[7102]: saved core dump of pid 7090 (/usr/bin/emerald) to /var/spool/abrt/ccpp-2011-07-31-23:07:25-7090.new/coredump (2781184 bytes)
:Aug  4 22:56:08 thira kernel: [  154.051726] emerald[2182] general protection ip:300ca030af sp:7fffddbbff48 error:0 in libdecoration.so.0.0.0[300ca00000+8000]
:Aug  4 22:56:09 thira abrt[2184]: saved core dump of pid 2182 (/usr/bin/emerald) to /var/spool/abrt/ccpp-2011-08-04-22:56:08-2182.new/coredump (2088960 bytes)

Comment 1 MartinG 2011-08-05 19:21:37 UTC
Created attachment 516943 [details]
File: maps

Comment 2 MartinG 2011-08-05 19:21:39 UTC
Created attachment 516944 [details]
File: backtrace

Comment 3 leigh scott 2011-08-06 07:26:35 UTC
Emerald need rebuilding (I will probably orphan emerald and drop it from the repo for F16 on)  against the new compiz version thats why compiz-0.9.5.0 was in updates-testing.


Note You need to log in before you can comment on or make changes to this bug.